import request from '@/utils/request'

// 初始化合同
export function initPayState() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_付款情况_查询数据'
    }
  })
}
// 查询表1
export function searchPayState(pageCurrent, pageSize, check1, num, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_付款情况_查询数据',
      param: `采购合同流水号_check=${check1}&采购合同流水号=${num}&供应商名称_check=${check2}&供应商名称=${name}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
